<?php

/**
 * 派单文件
 */
Route::group(['domain' => env('MANAGE_DOMAIN'), 'namespace' => 'App\Http\Controllers\Manage\SendOrder', 'prefix' => 'api/sendOrder', 'middleware' => 'ManageApiAuth'], function () {

    //获取派单列表
    Route::get('getSendOrders', 'SendOrderController@getSendOrders');

    //导出派单列表
    Route::get('exportSendOrders', 'SendOrderController@exportSendOrders');


    //获取历史派单列表
    Route::get('getHistorySendOrders', 'SendOrderController@getHistorySendOrders');

    //导出历史派单列表
    Route::get('exportHistorySendOrders', 'SendOrderController@exportHistorySendOrders');

    //获取图书派单日统计
    Route::get('getBookSendOrderDayStats', 'SendOrderForceDayStatsController@getGroupByBook');

    //导出图书派单日统计
    Route::get('exportBookSendOrderDayStats', 'SendOrderForceDayStatsController@exportGroupByBook');

    //获取注册用户/UV比值大于85%的派单链接的强关转化(强关用户数/注册用户数量)、付费转化(付费用户数/强关粉丝）、注册用户ARPU值（充值/注册用户）
    Route::get('newUserArpu', 'SendOrderForceDayStatsController@newUserArpu');

    //获取回本率数据
    Route::get('getSendOrderBreakevenStats', 'SendOrderBreakevenStatsController@getSendOrderBreakevenStats');

    //导出回本率数据
    Route::get('exportSendOrderBreakevenStats', 'SendOrderBreakevenStatsController@exportSendOrderBreakevenStats');

    //获取图书深度阅读数据
    Route::get('deepReadRecordData', 'SendOrderForceDayStatsController@deepReadRecordData');
    //重新统计深度阅读数据
    Route::get('resetDeepReadRecordData', 'SendOrderForceDayStatsController@resetDeepReadRecordData');

    //获取封面
    Route::get('getDocumentCovers', 'DocumentCoverController@index');
    //删除封面
    Route::post('delCover', 'DocumentCoverController@delCover');
    //获取标题
    Route::get('getHeadlines', 'HeadlineController@getHeadlines');
    //删除标题
    Route::post('deleteHeadlines', 'HeadlineController@deleteHeadlines');
    //导入标题
    Route::post('uploadHeadlins', 'HeadlineController@uploadHeadlins');

    //加密站点id
    Route::post('encodeSiteId', 'SendOrderController@encodeSiteId');

});